## Apache Zeta Components Manual :: Docs For Class ezcTreeVisitable

### Tree::ezcTreeVisitable

### Interface ezcTreeVisitable

Interface for visitable tree elements that can be visited by ezcTreeVisitor implementations for processing using the Visitor design pattern.

All elements that will be part of the tree must implement this interface.

Information on the Visitor pattern.

Source for this file: /Tree/src/interfaces/visitable.php

Version: | //autogentag//

### Method Summary

public void | `accept( $visitor )` Accepts the visitor.

### Methods

#### accept

void accept( ezcTreeVisitor $visitor )

Accepts the visitor.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$visitor` | ezcTreeVisitor |

Documentation generated by phpDocumentor 1.4.3